%define unmangled_version 1.3.2
%define pkg_summary Class library for writing Nagios (Icinga) plugins
%define pkg_desc Nagiosplugin is a Python class library which helps writing Nagios (or Icinga) \
compatible plugins easily in Python. It cares for much of the boilerplate code \
and default logic commonly found in Nagios checks.

Name: python-nagiosplugin
Summary: %pkg_summary
Version: %{op5version}
Release: %{op5release}%{?dist}
Source0: https://files.pythonhosted.org/packages/f8/23/690cec44ae5972186394364c94564d2c95d6f2ce67a2ba669ced20c93b6e/nagiosplugin-%{unmangled_version}.tar.gz
License: ZPLv2.1
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Prefix: %{_prefix}
BuildArch: noarch
URL: https://nagiosplugin.readthedocs.io
BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%package -n python2-nagiosplugin
Summary: %pkg_summary
Group: Development/Libraries
Requires: python2
Provides: python-nagiosplugin = %version
Obsoletes: python-nagiosplugin < %version

%package -n python3-nagiosplugin
Summary: %pkg_summary
Group: Development/Libraries
Requires: python3

%description
%pkg_desc

%description -n python2-nagiosplugin
%pkg_desc

%description -n python3-nagiosplugin
%pkg_desc

%prep
%setup -q -n nagiosplugin-%{unmangled_version}

%build

%install
%py2_build
# Delete shebangs to avoid RPM complaints
%__sed -i -e '/^#!/, 1d' build/lib/nagiosplugin/examples/*.py
%py2_install -- --single-version-externally-managed --prefix=%{_prefix}

%__rm -rf build

%py3_build
%__sed -i -e '/^#!/, 1d' build/lib/nagiosplugin/examples/*.py
%py3_install -- --single-version-externally-managed --prefix=%{_prefix}

%clean
rm -rf %buildroot

%files -n python2-nagiosplugin
%{python2_sitelib}/*
%license LICENSE.txt
%doc README.txt HISTORY.txt

%files -n python3-nagiosplugin
%{python3_sitelib}/*
%license LICENSE.txt
%doc README.txt HISTORY.txt

%changelog
* Tue Apr 20 2021 Aksel Sjögren <asjogren@itrsgroup.com> - 1.3.2
- Update nagiosplugin to 1.3.2
- Create subpackages for python2/python3

* Tue May 06 2014 Martin Kamijo <mk@op5.com>
Adding the spec file
